ATA_SCSI_RBUF_FILL(9)

NAME
ata_scsi_rbuf_fill - wrapper for SCSI command simulators

SYNOPSIS

void ata_scsi_rbuf_fill(struct ata_scsi_args * args, unsigned int (*actor) (struct ata_scsi_args *args, u8 *rbuf));

ARGUMENTS

args
    device IDENTIFY data / SCSI command of interest.

actor
    Callback hook for desired SCSI command simulator

DESCRIPTION

Takes care of the hard work of simulating a SCSI command... Mapping the response buffer, calling the command's handler, and handling the handler's return value. This return value indicates whether the handler wishes the SCSI command to be completed successfully (0), or not (in which case cmd->result and sense buffer are assumed to be set).

LOCKING

spin_lock_irqsave(host lock)

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT